System.Runtime.Serialization 4.0.0.0 System.Configuration.ConfigurationElementCollection System.Configuration.ConfigurationCollection(typeof(System.Runtime.Serialization.Configuration.TypeElement), CollectionType=System.Configuration.ConfigurationElementCollectionType.BasicMap)

This class is used to handle the <dataContractSerializer> Element within the <dataContractSerializer> element, specifically, to allow the addition of types to the collection of known types.

For more information about data contract known types, see Data Contract Known Types.

Handles the XML elements used to configure the known types used for serialization by the .

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Void `` To be added.

  Adds the specified element to the collection.

  A that represents the known type to add.
- Method
  4.0.0.0
  System.Void To be added.

  Removes all members of the collection.

- Property
  4.0.0.0
  System.Configuration.ConfigurationElementCollectionType To be added. To be added.

  Gets the collection of elements that represents the types using known types.

- Method
  4.0.0.0
  System.Configuration.ConfigurationElement To be added. To be added. To be added.
- Property
  4.0.0.0
  System.String To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Int32 `` To be added.

  Returns the position of the specified element.

  The position of the specified element.

  The to find in the collection.
- Property
  4.0.0.0
  System.Runtime.Serialization.Configuration.TypeElement `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added.

  Removes the specified element from the collection.

  The to remove.
- Method
  4.0.0.0
  System.Void `` To be added.

  Removes the element at the specified position.

  The position in the collection from which to remove the element.